# SyrupBombTag | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class SyrupBombTag

Battler Tag that applies the effects of Syrup Bomb to the target Pokemon. For three turns, starting from the turn of hit, at the end of each turn, the target Pokemon's speed will decrease by 1. The tag can also expire by taking the target Pokemon off the field, or the Pokemon that originally used the move.

#### Hierarchy (View Summary)

- BattlerTag
  - SyrupBombTag

- Defined in src/data/battler-tags.ts:3235

##### Index

### Constructors

constructor

### Properties

isBatonPassable
lapseTypes
sourceId?
sourceMove
tagType
turnCount

### Methods

canAdd
getDescriptor
getMoveName
getSourcePokemon
isSourceLinked
lapse
loadTag
onAdd
onOverlap
onRemove

## Constructors

### constructor

- new SyrupBombTag(sourceId: number): SyrupBombTag

  #### Parameters

  - sourceId: number

  #### Returns SyrupBombTag

  Overrides BattlerTag.constructor

  - Defined in src/data/battler-tags.ts:3236

## Properties

### isBatonPassable

isBatonPassable: boolean

Inherited from BattlerTag.isBatonPassable

- Defined in src/data/battler-tags.ts:65

### lapseTypes

lapseTypes: BattlerTagLapseType []

Inherited from BattlerTag.lapseTypes

- Defined in src/data/battler-tags.ts:61

### `Optional` sourceId

sourceId?: number

Inherited from BattlerTag.sourceId

- Defined in src/data/battler-tags.ts:64

### sourceMove

sourceMove: Moves

Inherited from BattlerTag.sourceMove

- Defined in src/data/battler-tags.ts:63

### tagType

tagType: BattlerTagType

Inherited from BattlerTag.tagType

- Defined in src/data/battler-tags.ts:60

### turnCount

turnCount: number

Inherited from BattlerTag.turnCount

- Defined in src/data/battler-tags.ts:62

## Methods

### canAdd

- canAdd(_pokemon: default ): boolean

  #### Parameters

  - _pokemon: default

  #### Returns boolean

  Inherited from BattlerTag.canAdd

  - Defined in src/data/battler-tags.ts:83

### getDescriptor

- getDescriptor(): string

  #### Returns string

  Inherited from BattlerTag.getDescriptor

  - Defined in src/data/battler-tags.ts:97

### getMoveName

- getMoveName(): null | string

  #### Returns null | string

  Inherited from BattlerTag.getMoveName

  - Defined in src/data/battler-tags.ts:105

### getSourcePokemon

- getSourcePokemon(): null | default

  Helper function that retrieves the source Pokemon object

  #### Returns null | default

  The source `Pokemon` or `null` if none is found

  Inherited from BattlerTag.getSourcePokemon

  - Defined in src/data/battler-tags.ts:124

### isSourceLinked

- isSourceLinked(): boolean

  #### Returns boolean

  Inherited from BattlerTag.isSourceLinked

  - Defined in src/data/battler-tags.ts:101

### lapse

- lapse(pokemon: default , _lapseType: BattlerTagLapseType ): boolean

  Applies the single-stage speed down to the target Pokemon and decrements the tag's turn count

  #### Parameters

  - pokemon: default

    The target `Pokemon`

  - _lapseType: BattlerTagLapseType

    N/A

  #### Returns boolean

  `true` if the `turnCount` is still greater than `0`; `false` if the `turnCount` is `0` or the target or source Pokemon has been removed from the field

  Overrides BattlerTag.lapse

  - Defined in src/data/battler-tags.ts:3259

### loadTag

- loadTag(source: any): void

  When given a battler tag or json representing one, load the data for it. This is meant to be inherited from by any battler tag with custom attributes

  #### Parameters

  - source: any

    A battler tag

  #### Returns void

  Inherited from BattlerTag.loadTag

  - Defined in src/data/battler-tags.ts:114

### onAdd

- onAdd(pokemon: default ): void

  Adds the Syrup Bomb battler tag to the target Pokemon.

  #### Parameters

  - pokemon: default

    The target `Pokemon`

  #### Returns void

  Overrides BattlerTag.onAdd

  - Defined in src/data/battler-tags.ts:3244

### onOverlap

- onOverlap(_pokemon: default ): void

  #### Parameters

  - _pokemon: default

  #### Returns void

  Inherited from BattlerTag.onOverlap

  - Defined in src/data/battler-tags.ts:91

### onRemove

- onRemove(_pokemon: default ): void

  #### Parameters

  - _pokemon: default

  #### Returns void

  Inherited from BattlerTag.onRemove

  - Defined in src/data/battler-tags.ts:89